Query Hcx Migrations

Query Hcx Migrations
Returns HCX migrations details.

Returns detailed information about virtual machine migrations based on filter criteria. This endpoint queries the migration database and returns comprehensive details including:

  • Migration configuration (source/destination, type, scheduling)

  • Real-time progress (transfer/switchover status, bytes transferred, completion percentage)

  • Network and storage mappings

  • Placement and resource allocation

  • Error messages and troubleshooting information

Request
URI
POST
https://{server}/hybridity/api/migrations
COPY
Query Parameters
string
action
Required

Represents which action type to do on migration(s). This API is for querying migration(s) action.


Request Body

Query migrations filtering payload.

queryMigrationsRequest of type(s) application/json
Required
{
    "filter": {
        "migrationGroupId": [
            "string"
        ],
        "creationDateInterval": "number",
        "state": [
            "string"
        ],
        "id": [
            "string"
        ],
        "migrationId": [
            "string"
        ],
        "entityId": [
            "string"
        ],
        "migrationType": [
            "string"
        ],
        "transferType": [
            "string"
        ],
        "source_endpointId": [
            "string"
        ],
        "destination_endpointId": [
            "string"
        ],
        "destination_resourceId": [
            "string"
        ],
        "source_resourceId": [
            "string"
        ],
        "endpointId": [
            "string"
        ],
        "resourceId": [
            "string"
        ],
        "userName": [
            "string"
        ],
        "draftsOnly": false,
        "includeArchived": false,
        "skipDrafts": false,
        "createTimeEpoch": "number"
    },
    "options": {
        "resultLevel": "string",
        "compat": "number"
    },
    "paging": {
        "pageSize": 0,
        "offset": 0,
        "skipCount": 0
    }
}
object
filter
Optional

This section is to specify filter parameters to query specified filter-matched migrations.

object
options
Optional

options

object
paging
Optional

paging

Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns queryMigrationsResponse of type(s) application/json
{
    "data": {
        "items": [
            {
                "initiator": {
                    "location": {}
                },
                "id": "string",
                "lastUpdated": "number",
                "version": "number",
                "username": "string",
                "creationDate": "number",
                "pairingId": "string",
                "entityId": "string",
                "entityType": "string",
                "migrationType": "string",
                "migrationId": "string",
                "migrationGroupId": "string",
                "transferGroupId": "string",
                "transferId": "string",
                "state": "string",
                "source": {
                    "endpointId": "string",
                    "endpointType": "string",
                    "endpointName": "string",
                    "resourceId": "string",
                    "computeResourceId": "string",
                    "resourceType": "string",
                    "resourceName": "string"
                },
                "destination": {
                    "endpointId": "string",
                    "endpointType": "string",
                    "endpointName": "string",
                    "resourceId": "string",
                    "computeResourceId": "string",
                    "resourceType": "string",
                    "resourceName": "string"
                },
                "entity": {
                    "entityId": "string",
                    "entityType": "string",
                    "entityName": "string"
                },
                "summary": {
                    "guestFullName": "string",
                    "guestId": "string",
                    "guestHostName": "string",
                    "memorySizeMB": "number",
                    "numCpu": 0,
                    "diskSize": "number",
                    "memorySize": "number"
                },
                "transferParams": {
                    "transferType": "string",
                    "creationDate": "string",
                    "transferId": "string",
                    "transferGroupId": "string",
                    "transferProfile": [
                        {
                            "option": "string",
                            "value": false
                        }
                    ],
                    "schedule": {
                        "startTime": "number",
                        "expiryTime": "number"
                    },
                    "workflowVersion": "number"
                },
                "switchoverParams": {
                    "schedule": {
                        "startTime": "number",
                        "expiryTime": "number"
                    },
                    "options": {
                        "retainMac": false,
                        "forcePowerOffVm": false,
                        "upgradeHardware": false,
                        "upgradeVMTools": false,
                        "isEvcDisabled": false,
                        "replicateSecurityTags": false,
                        "updateCustomAttributes": false
                    },
                    "switchoverProfile": [
                        {
                            "option": "string",
                            "value": false
                        }
                    ]
                },
                "placement": [
                    {
                        "id": "string",
                        "name": "string",
                        "type": "string"
                    }
                ],
                "storage": {
                    "defaultStorage": {
                        "datastoreId": "string",
                        "datastoreName": "string",
                        "id": "string",
                        "type": "string",
                        "name": "string",
                        "diskProvisionType": "string",
                        "storageParams": [
                            {
                                "option": "string",
                                "value": "string",
                                "type": "string",
                                "name": "string"
                            }
                        ]
                    }
                },
                "networkParams": {
                    "networkMappings": [
                        {
                            "srcNetworkName": "string",
                            "srcNetworkDisplayName": "string",
                            "srcNetworkValue": "string",
                            "srcNetworkHref": "string",
                            "destNetworkName": "string",
                            "destNetworkDisplayName": "string",
                            "destNetworkValue": "string",
                            "destNetworkHref": "string",
                            "macAddress": "string",
                            "isprimaryNic": false,
                            "srcNetworkId": "string",
                            "srcNetworkType": "string",
                            "destNetworkId": "string",
                            "destNetworkType": "string",
                            "connected": false
                        }
                    ]
                },
                "progress": {
                    "startTime": "number",
                    "endTime": "number",
                    "message": "string",
                    "draftState": "string",
                    "isRescheduleAllowed": false,
                    "isCancelled": 0,
                    "isDone": false,
                    "didFail": false,
                    "total": "string",
                    "error": {
                        "count": 0,
                        "value": "number",
                        "message": "string"
                    },
                    "transfer": {
                        "count": 0,
                        "value": 0,
                        "startTime": "number",
                        "endTime": 0,
                        "progressCount": 0,
                        "progress": 0,
                        "completedCount": 0,
                        "completed": 0,
                        "abortedCount": 0,
                        "canceledCount": 0,
                        "aborted": "number",
                        "canceled": "number",
                        "parkedCount": 0,
                        "parked": 0,
                        "errorCount": 0,
                        "error": 0
                    },
                    "switchover": {
                        "count": 0,
                        "value": 0,
                        "endTime": 0,
                        "progressCount": 0,
                        "progress": 0,
                        "completedCount": 0,
                        "completed": 0,
                        "abortedCount": 0,
                        "aborted": "number",
                        "canceledCount": 0,
                        "canceled": "number",
                        "parkedCount": 0,
                        "parked": 0,
                        "errorCount": 0,
                        "error": 0,
                        "waitingCount": 0,
                        "waiting": 0
                    },
                    "parked": {
                        "count": 0,
                        "value": 0
                    },
                    "aborted": {
                        "count": 0,
                        "value": "number"
                    },
                    "canceled": {
                        "count": 0,
                        "value": "number"
                    },
                    "state": {
                        "statusType": "string",
                        "rowType": "string",
                        "status": "string",
                        "errorsOccurred": false,
                        "message": "string",
                        "errorMessage": "string",
                        "lastUpdated": "string",
                        "isRescheduleAllowed": false,
                        "isError": 0,
                        "isTransferError": 0,
                        "isTransfer": 0,
                        "isSwitchoverError": 0,
                        "isTransferProgress": 0,
                        "isTransferCompleted": 0,
                        "isTransferParked": 0,
                        "isSwitchoverCompleted": 0,
                        "isSwitchoverProgress": 0,
                        "isSwitchover": 0,
                        "isParked": 0,
                        "isSwitchoverParked": 0,
                        "isTransferAborted": 0,
                        "isSwitchoverAborted": 0,
                        "isAborted": 0,
                        "isTransferCanceled": 0,
                        "isSwitchoverCanceled": 0,
                        "isCanceled": 0,
                        "isWaitingForMaintWindow": 0,
                        "isDone": false,
                        "isVMotionBaseSyncInProgress": false,
                        "isSwitchoverStarted": 0
                    },
                    "forceCleanupStatus": {
                        "localStatus": {
                            "status": "string",
                            "message": "string",
                            "isSource": false
                        },
                        "remoteStatus": {
                            "status": "string",
                            "message": "string",
                            "isSource": false
                        }
                    },
                    "log": [
                        {
                            "statusType": "string",
                            "rowType": "string",
                            "status": "string",
                            "errorsOccurred": false,
                            "message": "string",
                            "errorMessage": "string",
                            "lastUpdated": "string",
                            "bytesTransferred": 0,
                            "totalBytes": "number"
                        }
                    ]
                },
                "isDeleted": false,
                "isArchived": false,
                "migrationTypeLabel": "string"
            }
        ]
    }
}
object
data
Optional

data


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/migrations